Donate to e Foundation | Murena handsets with /e/OS | Own a part of Murena! Learn more

Commit b44158de authored by Sam Ravnborg's avatar Sam Ravnborg
Browse files

kconfig: made check-lxdialog more portable



OS-X shell did not like 'echo -e' so implement
suggestion from Al Viro to use a more portable construct.

Signed-off-by: default avatarSam Ravnborg <sam@ravnborg.org>
Cc: Al Viro <viro@ZenIV.linux.org.uk>
Acked-By: default avatarTimur Tabi <timur@freescale.com>
parent e4c576b9
Loading
Loading
Loading
Loading
+4 −2
Original line number Diff line number Diff line
@@ -36,8 +36,10 @@ trap "rm -f $tmp" 0 1 2 3 15

# Check if we can link to ncurses
check() {
	echo -e " #include CURSES_LOC \n main() {}" |
	    $cc -xc - -o $tmp 2> /dev/null
        $cc -xc - -o $tmp 2>/dev/null <<'EOF'
#include CURSES_LOC
main() {}
EOF
	if [ $? != 0 ]; then
	    echo " *** Unable to find the ncurses libraries or the"       1>&2
	    echo " *** required header files."                            1>&2